var browser = {
    versions: (function() {
        var sUserAgent = navigator.userAgent.toLowerCase();
        var bIsIpad = sUserAgent.match(/ipad/i) == "ipad";
        var bIsIphoneOs = sUserAgent.match(/iphone os/i) == "iphone os";
        var bIsMidp = sUserAgent.match(/midp/i) == "midp";
        var bIsUc7 = sUserAgent.match(/rv:1.2.3.4/i) == "rv:1.2.3.4";
        var bIsUc = sUserAgent.match(/ucweb/i) == "ucweb";
        var bIsAndroid = sUserAgent.match(/android/i) == "android";
        var bIsCE = sUserAgent.match(/windows ce/i) == "windows ce";
        var bIsWM = sUserAgent.match(/windows mobile/i) == "windows mobile";

        return {
            ipad : bIsIpad,
            iphone : bIsIphoneOs,
            android : bIsAndroid,
            mobile : (bIsIpad || bIsIphoneOs || bIsMidp || bIsUc7 || bIsUc || bIsAndroid || bIsCE || bIsWM )
        }
    })()
};

$(function () {
    if(browser.versions.iphone || browser.versions.ipad) {
        $(".fixed").show();
        if (window.WebViewJavascriptBridge) {
          bridge = WebViewJavascriptBridge;
          bridge.init();
          } else {
          document.addEventListener('WebViewJavascriptBridgeReady', function() {
                bridge = WebViewJavascriptBridge;
                bridge.init();
                bridge.registerHandler('closeVideo', function()
                   {
                   });
                }, false);
          }
          
          $('#backBtn').click(function() {
               bridge.callHandler('backBtn',{'log': 'backBtn'}, function(response) {
                        
                   });
               });
    } else if(browser.versions.android) {
        $(".fixed").hide();
    }
    
});
